"""
Echo - repeat text
Copyright (C) 2010  Brian S. Stephan

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

import re

from extlib import irclib

from Module import Module

class Echo(Module):

    """Repeat provided text."""

    def do(self, connection, event, nick, userhost, what, admin_unlocked):
        """Repeat provided text."""

        match = re.search('^!echo\s+(.*)$', what)
        if match:
            return self.reply(connection, event, match.group(1))

# vi:tabstop=4:expandtab:autoindent
# kate: indent-mode python;indent-width 4;replace-tabs on;
